name: 'Networking vnic: ipvlan/basic'
universal_id: redhat_ipvlan
maintainers:
  - name: Jianlin Shi
    email: jishi@redhat.com
    gitlab: linup2011
origin: kernel_public_tests
location: networking/vnic/ipvlan/basic
enabled:
  components:
    - not: debugbuild
  trees:
    or:
      - rhel8.*
      - rhel9.*|c9s
      - rhel10.*|c10s
      - fedora-latest|rawhide
target_sources:
  - drivers/net/ipvlan/.*
  - include/net/netns/.*
  - net/unix/.*
  - net/packet/internal\.h
  - net/netlink/.*
  - net/socket\.c
  - net/sysctl_net\.c
sets:
  - cloud
  - net
max_duration_seconds: 10800
environment:
  TEST_ITEMS: local_netns
